// ConstantBlockDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DiagramEng.h"
#include "ConstantBlockDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConstantBlockDialog dialog


CConstantBlockDialog::CConstantBlockDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CConstantBlockDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConstantBlockDialog)
	m_strConstValue = _T("");
	//}}AFX_DATA_INIT
}


void CConstantBlockDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConstantBlockDialog)
	DDX_Text(pDX, ID_CONSTANT_BLK_DLG_VALUE, m_strConstValue);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConstantBlockDialog, CDialog)
	//{{AFX_MSG_MAP(CConstantBlockDialog)
	ON_BN_CLICKED(ID_CONSTANT_BLK_DLG_BTN_OK, OnConstantBlkDlgBtnOk)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConstantBlockDialog message handlers

void CConstantBlockDialog::OnConstantBlkDlgBtnOk() 
{
	// TODO: Add your control notification handler code here

	// DiagramEng (start)
	
	//AfxMessageBox("\n CConstantBlockDialog::OnConstantBlkDlgBtnOk()\n", MB_OK, 0);
	
	// Update variable values with the Dlg Wnd control values
	UpdateData(TRUE);

	// Close the dialog wnd with OnOK()
	OnOK();

	// DiagramEng (end)
}
